package com.jz.dmp.modules.service;

import com.jz.common.constant.JsonResult;
import com.jz.dmp.modules.controller.dataService.bean.ApiInterfaceReq;
import com.jz.dmp.modules.controller.dataService.bean.MakeBigDataApiReq;
import com.jz.dmp.modules.model.DvRuleT;

import java.util.List;

/**
 * 数据服务-服务管理--调用gateway 接口
 *
 * @author Bellamy
 * @since 2021-01-18 10:56:18
 */
public interface DmpApiServiceMangeService {

    /**
     * 保存API(第三方)基本信息
     *
     * @author Bellamy
     * @since 2021-01-19
     */
    JsonResult saveApiInfo(ApiInterfaceReq req) throws Exception;

    /**
     * 保存API(大数据查询/标签查询)
     *
     * @author Bellamy
     * @since 2021-01-19
     */
    JsonResult saveApiBigDataInfo(MakeBigDataApiReq req) throws Exception;

    /**
     * 编辑API(第三方)基本信息
     *
     * @author Bellamy
     * @since 2021-01-20
     */
    JsonResult updateApiInfo(ApiInterfaceReq req) throws Exception;

    /**
     * 编辑API(大数据查询/标签查询)
     *
     * @author Bellamy
     * @since 2021-01-20
     */
    JsonResult updateApiBigDataInfo(MakeBigDataApiReq req) throws Exception;
}